major.io words of wisdom from a systems engineer

Getting GrowlMail working with Apple Mail in Growl 1.1

So, this is not really related to the normal system administration topics discussed here, but it’s Sunday, so I feel like something different.

I downloaded the new Growl 1.1 tonight and I wanted to install GrowlMail to get mail notifications from Apple Mail. I went through the package installer, started Mail, and nothing happened. The preference pane didn’t exist either. After doing a bit of forum digging, I found these two commands to run in the terminal:

defaults write com.apple.mail EnableBundles 1
defaults write com.apple.mail BundleCompatibilityVersion 2

It worked like a charm and I was all set. If you haven’t tried it out yet, download the new Growl 1.1 and install it. There’s a ton of new features, and it’s been worth the wait.